%define upstream_name    SQL-Maker
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Insert multiple rows at once on MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(DBI)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
SQL::Maker is yet another SQL builder class. It is based on the
DBIx::Skinny manpage's SQL generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 372437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 1.100.0-1.mga3
+ Revision: 338095
- update to 1.10

* Thu Dec 13 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 330289
- update to 1.09

* Tue Sep 25 2012 kharec <kharec> 1.70.0-1.mga3
+ Revision: 297436
- update to 1.07

* Mon Sep 17 2012 kharec <kharec> 1.60.0-1.mga3
+ Revision: 294865
- New CPAN version 1.06

* Thu Feb 23 2012 kharec <kharec> 1.50.0-1.mga2
+ Revision: 212586
- update to 1.05

* Thu Feb 23 2012 kharec <kharec> 1.40.0-1.mga2
+ Revision: 212554
- imported package perl-SQL-Maker

